
n = 101;


g = @exp;
I1 = gaussChebyshev(g, -1, 1, n);
I1_true = integral(g, -1, 1);
I1_error = abs(I1 - I1_true);
fprintf('I1: absolute error %e\n', I1_error);


a = -1;
b = 1;
g = @(x) (x.^(2*n - 1) + 1) ./ sqrt((x-a).*(b-x));
I2 = gaussChebyshev(g, a, b, n);
I2_true = integral(g, a, b);
I2_error = abs(I2 - I2_true);
fprintf('I2: absolute error %e, relative error %e\n', I2_error, I2_error/abs(I2_true));


a = 0;
b = 2;
g = @(x) sin(0.5*pi*x).*cos(pi*x);
I3 = gaussChebyshev(g, a, b, n);
I3_true = integral(g, a, b);
I3_error = abs(I3 - I3_true);
fprintf('I3: absolute error %e, relative error %e\n', I3_error, I3_error/abs(I3_true));

